Name:          ocl-icd
Version:       2.3.3
Release:       1mamba
Summary:       OpenCL ICD Loader
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/OCL-dev/ocl-icd
Source:        https://github.com/OCL-dev/ocl-icd.git/v%{version}/ocl-icd-%{version}.tar.bz2
License:       BSD
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: opencl-headers
## AUTOBUILDREQ-END
BuildRequires: asciidoc
BuildRequires: opencl-headers >= 2023.04.17
BuildRequires: ruby
Provides:      opencl-icd-loader
Conflicts:     libFreeOCL

%description
OpenCL implementations are provided as ICD (Installable Client Driver).
An OpenCL program can use several ICD thanks to the use of an ICD Loader as provided by this project.
This free ICD Loader can load any (free or non free) ICD.

%package devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
This package contains libraries and header files for developing applications that use %{name}.

%package tools
Group:         System/Tools
Summary:       Tools provided with %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description tools
This package contains the tools provided with %{name}.


%prep
%setup -q
./bootstrap

%build
%configure
   #--enable-update-database
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

rm -f %{buildroot}%{_libdir}/libOpenCL.la
rm -rf %{buildroot}%{_defaultdocdir}

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_libdir}/libOpenCL.so.*
%doc COPYING

%files devel
%defattr(-,root,root)
%{_includedir}/ocl_icd.h
%{_libdir}/libOpenCL.so
%{_libdir}/pkgconfig/OpenCL.pc
%{_libdir}/pkgconfig/ocl-icd.pc
%{_mandir}/man7/libOpenCL.so.7*
%{_mandir}/man7/libOpenCL.7*
%doc NEWS README ocl_icd_loader_gen.map ocl_icd_bindings.c

%files tools
%defattr(-,root,root)
%{_bindir}/cllayerinfo

%changelog
* Thu Apr 03 2025 Automatic Build System <autodist@openmamba.org> 2.3.3-1mamba
- automatic version update by autodist

* Mon Oct 09 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 2.3.2-2mamba
- rebuilt with opencl-headers 2023.04.17

* Fri Jun 09 2023 Automatic Build System <autodist@mambasoft.it> 2.3.2-1mamba
- automatic version update by autodist

* Sat Aug 28 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 2.3.1-1mamba
- update to 2.3.1

* Wed Apr 07 2021 Automatic Build System <autodist@mambasoft.it> 2.3.0-1mamba
- automatic version update by autodist

* Thu Jan 07 2021 Automatic Build System <autodist@mambasoft.it> 2.2.14-1mamba
- automatic version update by autodist

* Thu Oct 22 2020 Automatic Build System <autodist@mambasoft.it> 2.2.13-1mamba
- automatic version update by autodist

* Fri Jan 19 2018 Automatic Build System <autodist@mambasoft.it> 2.2.12-1mamba
- automatic version update by autodist

* Sun Dec 24 2017 Automatic Build System <autodist@mambasoft.it> 2.2.11-1mamba
- automatic version update by autodist

* Wed Dec 28 2016 Automatic Build System <autodist@mambasoft.it> 2.2.10-1mamba
- automatic version update by autodist

* Sun Jul 31 2016 Automatic Build System <autodist@mambasoft.it> 2.2.9-1mamba
- automatic version update by autodist

* Wed Feb 03 2016 Automatic Build System <autodist@mambasoft.it> 2.2.8-1mamba
- automatic version update by autodist

* Sat Aug 01 2015 Automatic Build System <autodist@mambasoft.it> 2.2.7-1mamba
- automatic version update by autodist

* Mon Apr 27 2015 Davide Madrisan <davide.madrisan@gmail.com> 2.2.3-1mamba
- package created by autospec
